{% load i18n %}
{% load humanize %}

<div class="row pagebar">
    <div class="col-sm-3 visible-lg visible-md">


        <div class="btn-group">
            <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                {% blocktrans %}Limit to: {{ limit }}{% endblocktrans %} <span class="caret"></span>
            </button>
            <ul class="dropdown-menu" role="menu">
                {% for field in date_fields %}
                    <li><a href="?sort={{ sort }}&limit={{ field }}&q={{ q }}">{{ field }}</a></li>
                {% endfor %}
            </ul>
        </div>

    </div>

    <div class="col-xs-12 col-md-6 text-center pagination">

        <span class="step-links">
        {% if page_obj.has_previous %}
            <a class="nav-btn" href="?page={{ page_obj.previous_page_number }}&sort={{ sort }}&limit={{ limit }}&q={{ q }}">
            <!-- &lt; -->
            <span class="nav-btn">
                {% trans "prev" %}
            </span>
            </a>
        {% else %}
            <!-- &lt; -->
            <!-- <span class="nav-btn">
                prev
            </span> -->
        {% endif %}

            <span class="current">
              <!-- &bull;  -->
              <span class="nav-btn">
                  {% blocktrans %}{{ page_obj.paginator.count|intcomma }} users {% endblocktrans %}
              </span>
              <!-- &bull; -->
              <span class="nav-btn">
                    {% blocktrans %}page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }} {% endblocktrans %}
                    <!-- &bull; -->
              </span>
            </span>

            {% if page_obj.has_next %}
                <a class="nav-btn" href="?page={{ page_obj.next_page_number }}&sort={{ sort }}&limit={{ limit }}&q={{ q }}">
                    <span class="nav-btn">
                        {% trans "next" %}
                    </span>
                <!-- &gt; -->
                </a>
            {% else %}
                <!-- <span class="nav-btn">
                    next 
                </span> -->
                <!-- &gt; -->
            {% endif %}
        </span>
    </div>

    <div class="col-sm-3 visible-lg visible-md">
        <div class="btn-group pull-right">
            <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                {% blocktrans %}Sort by: {{ sort }} {% endblocktrans %}<span class="caret"></span>
            </button>
            <ul class="dropdown-menu" role="menu">
                {% for field in sort_fields %}
                    <li><a href="?sort={{ field }}&limit={{ limit }}&q={{ q }}">{{ field }}</a></li>
                {% endfor %}
            </ul>
        </div>

    </div>

</div>
